[IPP] IPP Deprecation Request for "uri-security-supported" value 'ssl3'

[IPP] IPP Deprecation Request for "uri-security-supported" value 'ssl3'

[IPP] IPP Deprecation Request for "uri-security-supported" value 'ssl3'

Michael Sweet msweet at apple.com
Wed Jul 15 20:55:46 UTC 2015


All,

This is a formal request to deprecate the value 'ssl3' for the "uri-security-supported" Printer attribute defined in RFC 2911.  This request is made in conformance with the IPP Registry Policy at:

   http://ftp.pwg.org/pub/pwg/general/process/ipp-registry-policy-20150302.txt

SSL3 is obsolete and insecure.  Best practice is not to support SSL3 at all.

The following is the registry template to deprecate the keyword value.  This value is removed from the pending update to RFC 2911.

[APPLE20150715]
   <link to this message in the IPP WG list archive>

Attribute (attribute syntax)
  Keyword Attribute Value                         Reference
  -----------------------                         ---------
uri-security-supported                            [RFC2911]
  ssl3(deprecated)                                [APPLE20150715]

_________________________________________________________
Michael Sweet, Senior Printing System Engineer, PWG Chair



More information about the ipp mailing list